package com.mosty.yszx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.dto.yszx.TbYsAjDelDto;
import com.mosty.base.model.entity.yszx.TbYsXzaj;
import com.mosty.base.model.vo.yszx.TbYsAjVo;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/7/21
 **/
@Mapper
public interface TbYsXzajMapper extends BaseMapper<TbYsXzaj> {

    @ApiOperation("新增行政案件")
    void insertXzaj(TbYsXzaj xz);

    @ApiOperation("查询行政案件详情")
    TbYsXzaj selectXzAjById(String id);

    @ApiOperation("修改行政案件")
    void updateXzEntity(TbYsXzaj xz);

    @ApiOperation("获取案件总数")
    int getCount(Map<String, Object> map);

    @ApiOperation("获取案件列表")
    List<TbYsAjVo> getList(Map<String, Object> map);

    @ApiOperation("查询案件不分页")
    List<TbYsAjVo> getListAll(Map<String, Object> map);

    @ApiOperation("删除案件信息")
    void delAj(TbYsAjDelDto dto);
}
